#
# Copyright (c) 2001 Conexant Systems, Inc.
# 
# 1.   Permitted use. Redistribution and use in source and binary forms,
# with or without modification, are permitted under the terms set forth
# herein.
# 
# 2.   Disclaimer of Warranties. CONEXANT AND OTHER CONTRIBUTORS MAKE NO
# REPRESENTATION ABOUT THE SUITABILITY OF THIS SOFTWARE FOR ANY PURPOSE.
# IT IS PROVIDED "AS IS" WITHOUT EXPRESS OR IMPLIED WARRANTIES OF ANY KIND.
# CONEXANT AND OTHER CONTRIBUTORS DISCLAIMS ALL WARRANTIES WITH REGARD TO
# THIS SOFTWARE, INCLUDING ALL IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS
# FOR A PARTICULAR PURPOSE, GOOD TITLE AND AGAINST INFRINGEMENT.
# 
# This software has not been formally tested, and there is no guarantee that
# it is free of errors including, but not limited to, bugs, defects,
# interrupted operation, or unexpected results. Any use of this software is
# at user's own risk.
# 
# 3.   No Liability.
# 
# (a) Conexant or contributors shall not be responsible for any loss or
# damage to Company, its customers, or any third parties for any reason
# whatsoever, and CONEXANT OR CONTRIBUTORS SHALL NOT BE LIABLE FOR ANY
# ACTUAL, DIRECT, INDIRECT, SPECIAL, PUNITIVE, INCIDENTAL, OR CONSEQUENTIAL
# (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR
# SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
# HOWEVER CAUSED, WHETHER IN CONTRACT, STRICT OR OTHER LEGAL THEORY OF
# LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY
# WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY
# OF SUCH DAMAGE.
# 
# (b) User agrees to hold Conexant and contributors harmless from any
# liability, loss, cost, damage or expense, including attorney's fees,
# as a result of any claims which may be made by any person, including
# but not limited to User, its agents and employees, its customers, or
# any third parties that arise out of or result from the manufacture,
# delivery, actual or alleged ownership, performance, use, operation
# or possession of the software furnished hereunder, whether such claims
# are based on negligence, breach of contract, absolute liability or any
# other legal theory.
# 
# 4.   Notices. User hereby agrees not to remove, alter or destroy any
# copyright, trademark, credits, other proprietary notices or confidential
# legends placed upon, contained within or associated with the Software,
# and shall include all such unaltered copyright, trademark, credits,
# other proprietary notices or confidential legends on or in every copy of
# the Software.
#
%define ver      4.06.06.03
%define rel      1

%define scr_support 0
%define dmp_support 0

# Note that this is NOT a relocatable package

# Even though newer versions of RPM provide definitions for these,
# we must still accomodate the older ones
%define prefix   /usr
%define etcdir   /etc
%define libdir   %{prefix}/lib
%define sbindir  %{prefix}/sbin
%define bindir   %{prefix}/bin

Summary:   Conexant HSF softmodem driver for Linux
Name:      hsflinmodem
ExclusiveOS: Linux
ExclusiveArch: i686 i586 i386
Version:   %ver
Release:   %rel
Vendor:	   Conexant Systems Inc.
Copyright: Freely redistributable and some GPL
Group:     System Environment/Kernel
Source:    hsflinmodem-%{PACKAGE_VERSION}.tar.gz
URL:       http://www.mbsi.ca/hsflinux
BuildRoot: /tmp/hsflinmodem-%{PACKAGE_VERSION}-root
Packager:  Marc Boucher <marc+hsf@mbsi.ca>
Autoreq:   0

%description
Conexant HSF softmodem driver for Linux
%prep
%setup -q

%build
make all

%install
rm -rf $RPM_BUILD_ROOT

make ROOT=$RPM_BUILD_ROOT install

%clean
rm -rf $RPM_BUILD_ROOT

%files

%defattr(0555, root, root, 755)

%{bindir}/hsfsysid

%{sbindir}/hsfconfig
%{sbindir}/hsfinf2bin
%{sbindir}/hsffirm2bin
%{sbindir}/hsfstop
%if %{scr_support}
%{sbindir}/hsfdbgsrv
%endif
%if %{dmp_support}
%{sbindir}/hsfdmpsrv
%endif

%defattr(0444, root, root, 755)
%dir %{etcdir}/hsf
%{etcdir}/hsf/*.hex
%dir %{etcdir}/hsf/inf
#%config(missingok) %{etcdir}/hsf/config
%config %{etcdir}/hsf/inf/*.inf
%dir %{libdir}/hsf
%doc %{libdir}/hsf/LICENSE
%config %{libdir}/hsf/config.mak
%{libdir}/hsf/imported
%dir %{libdir}/hsf/modules
%{libdir}/hsf/modules/[mM]akefile
%{libdir}/hsf/modules/binaries
%{libdir}/hsf/modules/common.mak
%{libdir}/hsf/modules/*.c
%{libdir}/hsf/modules/*.h
%dir %{libdir}/hsf/modules/osspec
%{libdir}/hsf/modules/osspec/[mM]akefile
%{libdir}/hsf/modules/osspec/*.c
%dir %{libdir}/hsf/modules/osspec/include
%{libdir}/hsf/modules/osspec/include/*.h

%doc BUGS CHANGES CREDITS FAQ INSTALL LICENSE README *.pdf

%pre
if [ -e "%{libdir}/hsf" ]; then
	echo "Removing old %{libdir}/hsf"
	rm -rf "%{libdir}/hsf"
else
	exit 0
fi

%post
if [ -z "${HSF_NOAUTOCONFIG}" ]; then
	%{sbindir}/hsfconfig --auto
else
	exit 0
fi

%preun
if [ -z "${HSF_NOAUTOCONFIG}" ]; then
	%{sbindir}/hsfconfig --remove
else
	exit 0
fi

# This must be last since the file CHANGES is automatically appended
%changelog

* Tue Dec 09 2001 Marc Boucher <marc+hsf@mbsi.ca>
	- scripts/hsfconfig.in: initial devfsd support, improved dump_diagnostics

* Tue Dec 04 2001 Marc Boucher <marc+hsf@mbsi.ca>
	- Released hsflinmodem-4.06.06.01mbsibeta01120400.

* Tue Dec 04 2001 Marc Boucher <marc+hsf@mbsi.ca>
	- Merged new Conexant modem code (v4.06.06.01).
	many fixes to modulation code- modem should be more stable now;
	also added Yukon (aka Athens PCI ID 14f1:1631) board support (untested).
	- Added old rockwell (127a) device types to linux_hsf.inf.
	- Added riptide (4311) device type to linux_hsf.inf (experimental).
	- Include version string in new nvram.bin file header to prevent
	inconsistencies.
	- Various other minor changes and improvements.

* Mon Dec 03 2001 Marc Boucher <marc+hsf@mbsi.ca>
	- INSTALL: rectify and mention more hsfconfig options.
	- modules/osspec/include/oscompat.h: Added parentheses to try_inc_mod_count.

* Thu Nov 29 2001 Marc Boucher <marc+hsf@mbsi.ca>
	- Makefile: Added pkgclean target, which is like 'clean' but also
	removes tar and RPM package files.

* Thu Nov 29 2001 Marc Boucher <marc+hsf@mbsi.ca>
	- Makefile, hsflinmodem.spec.in: Automatically append CHANGES file
	to hsflinmodem.spec (%changelog section).

* Wed Nov 28 2001 Marc Boucher <marc+hsf@mbsi.ca>
	- modules/common.mak: Don't bail out with $(error) if version.h
	doesn't exist under KERNELSRC.

* Wed Nov 28 2001 Marc Boucher <marc+hsf@mbsi.ca>
	- modules/common.mak: Fixed CONFIG_MODVERSIONS check for distributions
	that don't use standard autoconf.h.

* Wed Nov 28 2001 Marc Boucher <marc+hsf@mbsi.ca>
	- hsfconfig: Use /boot/vmlinuz.{version,autoconf}.h over KERNELSRC/
	files if the former correspond to the running kernel and the later don't.

	- hsfconfig: Use /usr/local/src/linux as KERNELSRC dir if it exists and
	/usr/src/linux doesn't.

* Tue Nov 27 2001 Marc Boucher <marc+hsf@mbsi.ca>
	- Fixed oscompat.h problem with INIT_TQUEUE() macro affecting 2.4.[0-2]

* Tue Nov 27 2001 Marc Boucher <marc+hsf@mbsi.ca>
	- Initial beta release (hsflinmodem-4.06.00mbsibeta01112702).
